Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.socket
Class ServerSocketWrapper

    java.lang.Object
      org.jboss.remoting.transport.socket.SocketWrapper
          org.jboss.remoting.transport.socket.ClientSocketWrapper
              org.jboss.remoting.transport.socket.ServerSocketWrapper

All Implemented Interfaces:
  OpenConnectionChecker

    public class ServerSocketWrapper

extends ClientSocketWrapper

Author:
  Tom Elrod

Field Summary

Fields inherited from class org.jboss.remoting.transport.socket.SocketWrapper
`CLOSING, MARSHALLER, TEMP_TIMEOUT, UNMARSHALLER`

Constructor Summary
`ServerSocketWrapper(java.net.Socket socket)`
`ServerSocketWrapper(java.net.Socket socket, java.util.Map metadata, java.lang.Integer timeout)`

Method Summary
`void` | `checkConnection()`
`void` | `close()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.remoting.transport.socket.ClientSocketWrapper
`checkOpenConnection, createInputStream, createOutputStream, createStreams, getInputStream, getOutputStream`

Methods inherited from class org.jboss.remoting.transport.socket.SocketWrapper
`finalize, getSocket, getTimeout, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerSocketWrapper

    public ServerSocketWrapper(java.net.Socket socket)
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

### ServerSocketWrapper

    public ServerSocketWrapper(java.net.Socket socket,
                               java.util.Map metadata,
                               java.lang.Integer timeout)
                        throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `SocketWrapper`
  Throws:
    `java.io.IOException`

### checkConnection

    public void checkConnection()
                         throws java.io.IOException

  Overrides:
    `checkConnection` in class `ClientSocketWrapper`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ClientSocketWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.